API referenceTimeseries
POST /api/Timeseries/GetValues
Gets timeseries values by ID with an offset specified in the request. Timeseries in ATLAS ETRM follow a date from convention where the date from is inclusive and the date to is exclusive. This means that in an hourly timeseries the value in timestamp 2022-01-01 00:00:00 refers to the time period between 2022-01-01 00:00:00 and 2022-01-01 01:00:00. The timezone property in the request body refers to the timezone of the requested date-range and response timeseries.
POST
/api/Timeseries/GetValuescurl -X POST "/api/Timeseries/GetValues" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"dateFrom": "2022-01-01T00:00:00",
"dateTo": "2022-01-02T00:00:00",
"id": 1,
"timezone": 0,
"fill": false,
"openLeft": false,
"openRight": true
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.Timeseries.DateRangeTimeseriesExternalRequest
Response
application/json
Returns timeseries data including potential null values if no data exists for the specified range.
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataEtrmApiGateway.DTOs.Timeseries.TimeseriesOffsetValueResponse
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": {
"timestamp": "2026-01-15T09:30:00Z",
"value": 0
}
}